# Visualization
TKService
AlienImage

# AlienImage_AlienImage Class Reference

This class defines an Alien image.
Alien Image is X11 .xwd image or SGI .rgb image for example
.

`#include <AlienImage_AlienImage.hxx>`

Inheritance diagram for AlienImage_AlienImage:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)=0
| Reads content of a AlienImage object from a file . Returns True if file is a XWD file . .
virtual Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const =0
| Writes content of a AlienImage object to a file . .
virtual Standard_EXPORT Handle_Image_Image | ToImage () const =0
| Converts a AlienImage object to a Image object. .
virtual Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)=0
| Converts a Image object to a AlienImage object. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | AlienImage_AlienImage ()

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_AlienImage::AlienImage_AlienImage | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void AlienImage_AlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[pure virtual]`

Implemented in AlienImage_AidaAlienData, AlienImage_AidaAlienImage, AlienImage_AlienUserImage, AlienImage_BMPAlienData, AlienImage_BMPAlienImage, AlienImage_EuclidAlienData, AlienImage_EuclidAlienImage, AlienImage_GIFAlienData, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienData, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienData, AlienImage_SunRFAlienImage, AlienImage_X11XWDAlienData, and AlienImage_XAlienImage.

Standard_EXPORT const AlienImage_AlienImage::Handle | ( | Standard_Type |  | ) | const

Reimplemented in AlienImage_AidaAlienData, AlienImage_AidaAlienImage, AlienImage_AlienImageData, AlienImage_AlienUserImage, AlienImage_BMPAlienData, AlienImage_BMPAlienImage, AlienImage_EuclidAlienData, AlienImage_EuclidAlienImage, AlienImage_GIFAlienData, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienData, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienData, AlienImage_SunRFAlienImage, AlienImage_X11XWDAlienData, and AlienImage_XAlienImage.

virtual Standard_EXPORT Standard_Boolean AlienImage_AlienImage::Read | ( | OSD_File & | afile | ) | `[pure virtual]`

Implemented in AlienImage_AidaAlienData, AlienImage_AidaAlienImage, AlienImage_AlienUserImage, AlienImage_BMPAlienData, AlienImage_BMPAlienImage, AlienImage_EuclidAlienData, AlienImage_EuclidAlienImage, AlienImage_GIFAlienData, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienData, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienData, AlienImage_SunRFAlienImage, AlienImage_X11XWDAlienData, and AlienImage_XAlienImage.

virtual Standard_EXPORT Handle_Image_Image AlienImage_AlienImage::ToImage | ( |  | ) | const`[pure virtual]`

Implemented in AlienImage_AidaAlienData, AlienImage_AidaAlienImage, AlienImage_AlienUserImage, AlienImage_BMPAlienData, AlienImage_BMPAlienImage, AlienImage_EuclidAlienData, AlienImage_EuclidAlienImage, AlienImage_GIFAlienData, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienData, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienData, AlienImage_SunRFAlienImage, AlienImage_X11XWDAlienData, and AlienImage_XAlienImage.

virtual Standard_EXPORT Standard_Boolean AlienImage_AlienImage::Write | ( | OSD_File & | afile | ) | const`[pure virtual]`

Implemented in AlienImage_AidaAlienData, AlienImage_AidaAlienImage, AlienImage_AlienUserImage, AlienImage_BMPAlienData, AlienImage_BMPAlienImage, AlienImage_EuclidAlienData, AlienImage_EuclidAlienImage, AlienImage_GIFAlienData, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienData, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienData, AlienImage_SunRFAlienImage, AlienImage_X11XWDAlienData, and AlienImage_XAlienImage.

The documentation for this class was generated from the following file:

- AlienImage_AlienImage.hxx